Oracle MySQL ODBC 和 C++ 连接器(2023 年 4 月 CPU)

high Nessus 插件 ID 174467

简介

远程主机受到一个漏洞影响

描述

远程主机上安装的 MySQL ODBC 或 C++ Connector 版本受到 2023 年 4 月 CPU 公告中提及的 OpenSSL 组件中的漏洞影响。支持的版本中受影响的是 8.0.32 和较早版本。可轻松利用的漏洞允许未经身份验证的攻击者通过多种协议进行网络访问,从而破坏 MySQL Connectors。成功攻击此漏洞可导致在未经授权的情况下使 MySQL Connectors 挂起或频繁出现崩溃(完整 DOS)。

请注意,Nessus 尚未测试这些问题,而是只依据应用程序自我报告的版本号进行判断。

解决方案

根据 2023 年 4 月 Oracle 关键补丁更新公告,应用相应的补丁。

另见

https://www.oracle.com/docs/tech/security-alerts/cpuapr2023cvrf.xml

https://www.oracle.com/security-alerts/cpuapr2023.html

插件详情

严重性: High

ID: 174467

文件名: oracle_mysql_connectors_cpu_apr_2023.nasl

版本: 1.3

类型: local

代理: windows, macosx, unix

系列: Misc.

发布时间: 2023/4/19

最近更新时间: 2023/7/20

配置: 启用全面检查

支持的传感器: Nessus Agent, Nessus

风险信息

VPR

风险因素: Low

分数: 3.6

CVSS v2

风险因素: High

基本分数: 7.8

时间分数: 5.8

矢量: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:C

CVSS 分数来源: CVE-2023-0215

CVSS v3

风险因素: High

基本分数: 7.5

时间分数: 6.5

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

时间矢量: CVSS:3.0/E:U/RL:O/RC:C

漏洞信息

CPE: cpe:/a:oracle:mysql_connectors

必需的 KB 项: installed_sw/MySQL Connector

易利用性: No known exploits are available

补丁发布日期: 2023/4/18

漏洞发布日期: 2023/4/18

参考资料信息

CVE: CVE-2023-0215

IAVA: 2023-A-0212-S